Optimiciti Developer PortalOptimiciti Developer Portal
  • Pricing
  • Documentation
  • API Reference
  • Your API Key
Information
Problem
    Run an optimization modelpostReturns optimization status and results, if availablegetCancel the optimization run identified by the problemId parameterpost
Utilities
    Health Checkget
Billing
    List public plansget
History
    Get User RunspostGet Run IdspostGet Run SummariespostList Example ScenariospostGet Scenario SummariespostGet Run ResultspostGet Saved ScenariopostGet a published example scenariogetUpdate Run NamepostDelete RunpostDelete Saved ScenariopostSave ScenariopostRename ScenariopostUpdate ScenariopostClaim Anonymous Runspost
Data-processing
    Calculate a cost matrix for the given locationspostConvert To ExcelpostConvert To JSONpost
System
    Read Rootget
Optimization
    Get Run StatuspostCancel Runpost
Schemas
powered by Zuplo
Optimiciti API Specification
Optimiciti API Specification

Utilities

Helper and system endpoints - health checks, reverse geocoding, and the contact and support forms.


Health Check

GET
https://api.optimiciti.com
/health

Returns the operational status of the API.

Health Check › Responses

Successful Response

A standardized response envelope used across the API.
StandardResponse
success
​boolean

Indicates if the request was successful

Default: true
data
​

The main response payload. Can be an object, array, boolean, or string.

​ResponseError
GET/health
curl https://api.optimiciti.com/health
Example Responses
{ "success": true, "data": {}, "error": { "code": "code", "message": "message", "details": {} } }
json
application/json

ProblemBilling